#include <sta/config.hpp>
#ifdef STA_RTOS_RUNTIME_STATS_TIM

#include <tim.h>


void configureTimerForRunTimeStats()
{
	// Start timer base
	HAL_TIM_Base_Start(&STA_RTOS_RUNTIME_STATS_TIM);
	// Reset timer
	__HAL_TIM_SET_COUNTER(&STA_RTOS_RUNTIME_STATS_TIM, 0);
}

unsigned long getRunTimeCounterValue()
{
	return __HAL_TIM_GET_COUNTER(&STA_RTOS_RUNTIME_STATS_TIM);
}

#endif // STA_RTOS_RUNTIME_STATS_TIM
